com.threerings.micasa.simulator.util

## Interface SimulatorContext

All Superinterfaces:
  com.threerings.crowd.util.CrowdContext, ParlorContext, com.threerings.presents.util.PresentsContext

    public interface SimulatorContext
    extends ParlorContext

The simulator context encapsulates the contexts of all of the services that are used by the simulator client so that we can pass around one single context implementation that provides all of the necessary components to all of the services in use.

### Method Summary

All Methods Instance Methods Abstract Methods
`SimulatorFrame` `getFrame()` Returns a reference to the primary user interface frame.
`SimulatorInfo` `getSimulatorInfo()` Returns a reference to the simulator info describing the game and other details of the simulation.

### Methods inherited from interface com.threerings.parlor.util.ParlorContext

`getParlorDirector`

### Methods inherited from interface com.threerings.crowd.util.CrowdContext

`clearPlaceView, getChatDirector, getLocationDirector, getMessageManager, getOccupantDirector, setPlaceView`

### Methods inherited from interface com.threerings.presents.util.PresentsContext

`getClient, getConfig, getDObjectManager`

### Method Detail

#### getFrame

    SimulatorFrame getFrame()

Returns a reference to the primary user interface frame.

#### getSimulatorInfo

    SimulatorInfo getSimulatorInfo()

Returns a reference to the simulator info describing the game and other details of the simulation.